<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__uart__general__functions" kind="group">
    <compoundname>group_scb_uart_general_functions</compoundname>
    <title>General</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1gacbc061f623d2fafbcfffcb58c5f2db51" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__scb__uart__enums_1gac72413306ca26b7b8174526e3fc539df">cy_en_scb_uart_status_t</ref></type>
        <definition>cy_en_scb_uart_status_t Cy_SCB_UART_Init</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_uart_config_t const *config, cy_stc_scb_uart_context_t *context)</argsstring>
        <name>Cy_SCB_UART_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__uart__config__t">cy_stc_scb_uart_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__uart__context__t">cy_stc_scb_uart_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the SCB for UART operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to configuration structure <ref kindref="compound" refid="structcy__stc__scb__uart__config__t">cy_stc_scb_uart_config_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__uart__context__t">cy_stc_scb_uart_context_t</ref> allocated by the user. The structure is used during the UART operation for internal configuration and data retention. The user must not modify anything in this structure. If only UART <ref kindref="member" refid="group__group__scb__uart_1group_scb_uart_ll">Low-Level API</ref> will be used pass NULL as pointer to context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__scb__uart__enums_1gac72413306ca26b7b8174526e3fc539df">cy_en_scb_uart_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="182" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_uart.c" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="576" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1ga75294a651a2535fe9fd09af33c726920" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_UART_DeInit</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>De-initializes the SCB block. </para>        </briefdescription>
        <detaileddescription>
<para>Returns the register values to default.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="225" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_uart.c" bodystart="198" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="578" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1ga503d0737dadf35620306ef3571d84905" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_Enable</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the SCB block for the UART operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="960" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="957" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="579" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1ga2a07f58f9a898202d43bc3b14caab2de" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_UART_Disable</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_uart_context_t *context)</argsstring>
        <name>Cy_SCB_UART_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__uart__context__t">cy_stc_scb_uart_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Disables the SCB block and clears context statuses. </para>        </briefdescription>
        <detaileddescription>
<para>Note that after the block is disabled, the TX and RX FIFOs and hardware statuses are cleared. Also, the hardware stops driving the output and ignores the input. Refer to section <ref kindref="member" refid="group__group__scb__uart_1group_scb_uart_lp">Low Power Support</ref> for more information about UART pins when SCB disabled.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__uart__context__t">cy_stc_scb_uart_context_t</ref> allocated by the user. The structure is used during the UART operation for internal configuration and data retention. The user must not modify anything in this structure. If only UART functions that do not require context will be used to pass NULL as pointer to context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Calling this function when the UART is busy (transmitter preforms data transfer or receiver is in the middle of data reception) may result transfer corruption because the hardware stops driving the outputs and ignores the inputs. Ensure that the UART is not busy before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="269" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_uart.c" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="580" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1ga8624a57785ed01037ac6f713d4965fe4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_EnableCts</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_EnableCts</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the Clear to Send (CTS) input for the UART. </para>        </briefdescription>
        <detaileddescription>
<para>The UART will not transmit data while this signal is inactive.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="977" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="974" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="582" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1ga2e8b2b35c2b977ceeaa8d5e2346d80be" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_DisableCts</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_DisableCts</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the Clear to Send (CTS) input for the UART. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__scb__uart__general__functions_1ga8624a57785ed01037ac6f713d4965fe4">Cy_SCB_UART_EnableCts</ref> for the details.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="994" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="991" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="583" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1gadba62509586aebd21d6e5511abd9e09d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_SetRtsFifoLevel</definition>
        <argsstring>(CySCB_Type *base, uint32_t level)</argsstring>
        <name>Cy_SCB_UART_SetRtsFifoLevel</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>level</declname>
        </param>
        <briefdescription>
<para>Sets a level for the Ready To Send (RTS) signal activation. </para>        </briefdescription>
        <detaileddescription>
<para>When the number of data elements in the receive FIFO is below this level, then the RTS output is active. Otherwise, the RTS signal is inactive. To disable the RTS signal generation, set this level to zero.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>level</parametername>
</parameternamelist>
<parameterdescription>
<para>The level in the RX FIFO for RTS signal activation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1018" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1013" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="584" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1gaae8b7c8a06d34d42aea6e2913da5bebe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SCB_UART_GetRtsFifoLevel</definition>
        <argsstring>(CySCB_Type const *base)</argsstring>
        <name>Cy_SCB_UART_GetRtsFifoLevel</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the level in the RX FIFO for the RTS signal activation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The level in the RX FIFO for RTS signal activation. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1037" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1034" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="585" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1ga3374291c2222f5e1e6f043c8f9dbf969" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_EnableSkipStart</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_EnableSkipStart</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the skip start-bit functionality. </para>        </briefdescription>
        <detaileddescription>
<para>When skip start is enabled the UART hardware does not synchronize to a start bit but synchronizes to the first rising edge. To create a rising edge, the first data bit must be a 1. This feature is useful when the start bit falling edge is used to wake the device through a GPIO interrupt.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;When skip start-bit feature is enabled, it is applied (UART synchronizes to the first rising edge after start bit) whenever the SCB is enabled. This can cause incorrect UART synchronization and data reception when the first data bit is not a 1. Therefore, disable the skip start-bit when it should not be applied. Note that SCB is disabled before enter Deep Sleep mode or after calling &lt;a href="group__group__scb__uart__general__functions.html#group__group__scb__uart__general__functions_1ga2a07f58f9a898202d43bc3b14caab2de"&gt;Cy_SCB_UART_Disable&lt;/a&gt;. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1066" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1063" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="587" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__uart__general__functions_1ga2154a54acbf4e9a5a38af3c515d4acc3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_UART_DisableSkipStart</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_UART_DisableSkipStart</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disable the skip start-bit functionality. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__scb__uart__general__functions_1ga3374291c2222f5e1e6f043c8f9dbf969">Cy_SCB_UART_EnableSkipStart</ref> for the details.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the UART SCB instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1083" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="1080" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="588" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>